Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface NotifyActionType

All Superinterfaces:
  ActionType, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  NotifyActionTypeImpl

    public interface NotifyActionType

extends ActionType

A representation of the model object 'Notify Action Type'. Abstract Base type for all types of Notify Actions

The following features are supported:

- `End Point`
- `Notification Option`

See Also:
  `RimPackage.getNotifyActionType()`

Method Summary
`java.lang.String` | `getEndPoint()` Returns the value of the 'End Point' attribute.
`java.lang.String` | `getNotificationOption()` Returns the value of the 'Notification Option' attribute.
`boolean` | `isSetNotificationOption()` Returns whether the value of the '`Notification Option`' attribute is set.
`void` | `setEndPoint(java.lang.String value)` Sets the value of the '`End Point`' attribute.
`void` | `setNotificationOption(java.lang.String value)` Sets the value of the '`Notification Option`' attribute.
`void` | `unsetNotificationOption()` Unsets the value of the '`Notification Option`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEndPoint

    java.lang.String getEndPoint()

  Returns the value of the 'End Point' attribute.

  If the meaning of the 'End Point' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Point' attribute.
  See Also:
    `setEndPoint(String)`, `RimPackage.getNotifyActionType_EndPoint()`

### setEndPoint

    void setEndPoint(java.lang.String value)

  Sets the value of the '`End Point`' attribute.

  Parameters:
    `value` - the new value of the 'End Point' attribute.
  See Also:
    `getEndPoint()`

### getNotificationOption

    java.lang.String getNotificationOption()

  Returns the value of the 'Notification Option' attribute. The default value is `"urn:oasis:names:tc:ebxml-regrep:NotificationOptionType:ObjectRefs"`.

  If the meaning of the 'Notification Option' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Notification Option' attribute.
  See Also:
    `isSetNotificationOption()`, `unsetNotificationOption()`, `setNotificationOption(String)`, `RimPackage.getNotifyActionType_NotificationOption()`

### setNotificationOption

    void setNotificationOption(java.lang.String value)

  Sets the value of the '`Notification Option`' attribute.

  Parameters:
    `value` - the new value of the 'Notification Option' attribute.
  See Also:
    `isSetNotificationOption()`, `unsetNotificationOption()`, `getNotificationOption()`

### unsetNotificationOption

    void unsetNotificationOption()

  Unsets the value of the '`Notification Option`' attribute.

  See Also:
    `isSetNotificationOption()`, `getNotificationOption()`, `setNotificationOption(String)`

### isSetNotificationOption

    boolean isSetNotificationOption()

  Returns whether the value of the '`Notification Option`' attribute is set.

  Returns:
    whether the value of the 'Notification Option' attribute is set.
  See Also:
    `unsetNotificationOption()`, `getNotificationOption()`, `setNotificationOption(String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD